Bug 972936 - [abrt] gnome-shell-3.6.3.1-1.fc18: INT_cairo_surface_destroy: Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
[abrt] gnome-shell-3.6.3.1-1.fc18: INT_cairo_surface_destroy: Process /usr/bi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:d25c1d395e1971e3967292f3855...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 16:53 EDT by Patrick Cardin
Modified: 2014-02-05 16:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.91 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: core_backtrace (4.02 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: dso_list (21.87 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: environ (1.26 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: maps (93.23 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: open_fds (4.48 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: var_log_messages (2.19 KB, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details
File: xsession_errors (383 bytes, text/plain)
2013-06-10 16:53 EDT, Patrick Cardin
no flags Details

  None (edit)
Description Patrick Cardin 2013-06-10 16:53:10 EDT
Description of problem:
The problem happened randomly regulary a few a times a day. It looks like there's a problem with gnome-shell...
It kills my X server instanly et reload everything I had, but sometimes the X server doesnt reload... And there's a message telling me that I should log out...

Version-Release number of selected component:
gnome-shell-3.6.3.1-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: INT_cairo_surface_destroy
executable:     /usr/bin/gnome-shell
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            23212

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 INT_cairo_surface_destroy at cairo-surface.c:930
 #5 _get_image_surface at cairo-xlib-surface.c:1013
 #6 _cairo_xlib_surface_acquire_source_image at cairo-xlib-surface.c:1402
 #8 _cairo_surface_acquire_source_image at cairo-surface.c:1880
 #9 _pixman_image_for_surface at cairo-image-source.c:963
 #10 _pixman_image_for_pattern at cairo-image-source.c:1124
 #11 _cairo_image_source_create_for_pattern at cairo-image-source.c:1169
 #12 composite_aligned_boxes at cairo-spans-compositor.c:664
 #13 clip_and_composite_boxes at cairo-spans-compositor.c:868
 #15 _cairo_spans_compositor_paint at cairo-spans-compositor.c:969
Comment 1 Patrick Cardin 2013-06-10 16:53:13 EDT
Created attachment 759361 [details]
File: backtrace
Comment 2 Patrick Cardin 2013-06-10 16:53:16 EDT
Created attachment 759362 [details]
File: cgroup
Comment 3 Patrick Cardin 2013-06-10 16:53:19 EDT
Created attachment 759363 [details]
File: core_backtrace
Comment 4 Patrick Cardin 2013-06-10 16:53:22 EDT
Created attachment 759364 [details]
File: dso_list
Comment 5 Patrick Cardin 2013-06-10 16:53:25 EDT
Created attachment 759365 [details]
File: environ
Comment 6 Patrick Cardin 2013-06-10 16:53:28 EDT
Created attachment 759366 [details]
File: limits
Comment 7 Patrick Cardin 2013-06-10 16:53:31 EDT
Created attachment 759367 [details]
File: maps
Comment 8 Patrick Cardin 2013-06-10 16:53:34 EDT
Created attachment 759368 [details]
File: open_fds
Comment 9 Patrick Cardin 2013-06-10 16:53:37 EDT
Created attachment 759369 [details]
File: proc_pid_status
Comment 10 Patrick Cardin 2013-06-10 16:53:40 EDT
Created attachment 759370 [details]
File: var_log_messages
Comment 11 Patrick Cardin 2013-06-10 16:53:43 EDT
Created attachment 759371 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2013-12-21 08:56:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:45:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.